Is Your Browser Supported in Blackboard?

Are you accessing Blackboard from outside college computers?  If so, check out this link:  https://help.blackboard.com/en-us/Learn/9.1_SP_12_and_SP_13/Student/030_Browser_Support.  It provides a detailed list of browsers, operating systems, and their compatibility with our version of Blackboard.

Some old technologies are not supported by Blackboard:

  • Internet Explorer 6, 7
  • Firefox 1.x, 2.0, 3.0, 3.5, and 3.6
  • Safari 2.0, 3.x, and any version on Windows
  • Windows XP 64-bit
  • Mac OSX 10.3, 10.4, 10.5
  • Java 5, although it may continue to work

2 thoughts on “Is Your Browser Supported in Blackboard?”

    1. John please use go to the My.Tri-C space page and use the “Forgot password” link to reset your password. If you need further assistance please call (216)987-4357 and the Help Dest will walk you through. Have a great day!

      Susan Berry

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s